## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           libspelling
Version:        0.4.8
Release:        %autorelease
Summary:        Spellcheck library for GTK 4
License:        LGPL-2.1-or-later
URL:            https://gitlab.gnome.org/GNOME/libspelling
Source:         https://download.gnome.org/sources/libspelling/0.4/libspelling-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gtksourceview-5)
BuildRequires:  pkgconfig(enchant-2)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
# for vapigen
BuildRequires:  vala
BuildRequires:  gi-docgen


%description
A spellcheck library for GTK 4.  This library is heavily based upon GNOME Text
Editor and GNOME Builder's spellcheck implementation.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.


%prep
%autosetup -n libspelling-%{version}


%build
%meson -Ddocs=false
%meson_build


%install
%meson_install
%find_lang libspelling


%check
%meson_test


%files -f libspelling.lang
%license COPYING
%doc NEWS
%{_libdir}/libspelling-1.so.2*
%{_libdir}/girepository-1.0/Spelling-1.typelib


%files devel
%{_includedir}/libspelling-1
%{_libdir}/libspelling-1.so
%{_libdir}/pkgconfig/libspelling-1.pc
%{_datadir}/gir-1.0/Spelling-1.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libspelling-1.deps
%{_datadir}/vala/vapi/libspelling-1.vapi


%changelog
## START: Generated by rpmautospec
* Mon Apr 21 2025 nmontero <nmontero@redhat.com> - 0.4.8-1
- Update to 0.4.8

* Thu Apr 10 2025 nmontero <nmontero@redhat.com> - 0.4.7-1
- Update to 0.4.7

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Dec 08 2024 Pete Walter <pwalter@fedoraproject.org> - 0.4.5-2
- Rebuild for ICU 76

* Sat Nov 23 2024 Carl George <carlwgeorge@fedoraproject.org> - 0.4.5-1
- Update to version 0.4.5 rhbz#2328294

* Tue Oct 22 2024 Carl George <carlwgeorge@fedoraproject.org> - 0.4.4-1
- Update to version 0.4.4 rhbz#2319068

* Mon Oct 07 2024 David King <amigadave@amigadave.com> - 0.4.2-1
- Update to 0.4.2 (#2316541)

* Fri Sep 27 2024 Carl George <carlwgeorge@fedoraproject.org> - 0.4.1-1
- Update to version 0.4.1 rhbz#2315051

* Fri Sep 13 2024 nmontero <nmontero@redhat.com> - 0.4.0-1
- Update to 0.4.0 rhbz#2312315

* Fri Sep 13 2024 David King <amigadave@amigadave.com> - 0.3.1-1
- Update to 0.3.1

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 31 2024 Pete Walter <pwalter@fedoraproject.org> - 0.2.0-4
- Rebuild for ICU 74

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Dec 06 2023 Carl George <carlwgeorge@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0 rhbz#2239282

* Thu Jul 27 2023 Carl George <carl@george.computer> - 0.1.0~^1.6518502-1
- Initial package, resolves rhbz#2224499
## END: Generated by rpmautospec
